(defun toggle-viewports (lock)
  (vl-load-com)
  (command "pspace")
  (setq ssg (ssget "X" '((0 . "VIEWPORT"))) cnt 0)
  (repeat (sslength ssg)
    (setq dpl (vlax-ename->vla-object (ssname ssg cnt)))
    (vla-put-DisplayLocked dpl lock)
    (setq cnt (1+ cnt)))
  (princ)
)

(defun c:LV () (toggle-viewports :vlax-true))
(defun c:UV () (toggle-viewports :vlax-false))
